package com.evolute.siprp.client.panels.utils.dialog;

import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.VerticalPanel;

public class ErrorMsgs extends Composite
{
	private VerticalPanel panel;
	private HTML[] msgElems;
	
	public ErrorMsgs( String[] msgs )
	{
		super();
	
		this.panel = new VerticalPanel();
		this.msgElems = new HTML[ msgs.length ];
		for ( int i = 0; i < msgs.length; i++ )
		{
			this.msgElems[ i ] = new HTML( msgs[ i ] );
			this.panel.add( this.msgElems[ i ] );
			this.panel.setCellHorizontalAlignment( this.msgElems[ i ], HasHorizontalAlignment.ALIGN_LEFT );
		}
		
		this.initWidget( this.panel );
	}
	
}
